Skip to main content
Version: 1.6

Ed25519 - Derive a public key from an sPub

POST 

/ed25519/derive-pubkey-from-spub

authorization

This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | PoliciesManager | ResourceViewer | CryptoUser | KeysManager | KeysImporter | KeysExporter

Helper endpoint to derive a public key from sPub string and a given BIP-32 non-hardened derivation path.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    derivation_pathuint32[]required
    spubstringrequired

    Base58 encoded sPub string

Responses

Schema

    pubkeystringrequired
    spubstringrequired

    Base58 encoded sPub string